<template>
	<view class="nodata" :style="'padding-top:'+padtop+'rpx;padding-bottom:'+padbottom+'rpx;'">
		<image :src="noiconpimg"></image>
		<view>{{notxt}}</view>
	</view>
</template>

<script>
	export default{
		props:{
			notxt:{
				type: String,
				default () {
					return '暂无数据'
				}
			},
			padtop:{
				type: [Number,String],
				default () {
					return 100
				}
			},
			padbottom:{
				type: [Number,String],
				default () {
					return 100
				}
			}
		},
		data(){
			return{
				noiconpimg:require("@/static/images/noiconp.png"),
			}
		}
	}
</script>

<style lang="scss" scoped>
// 无数据
.nodata{
	display: flex;flex-direction: column;align-items: center;box-sizing: border-box;padding-bottom: 100rpx;
	image{width: 198rpx;height: 194rpx;margin-bottom: 44rpx;}
	view{font-size: 26rpx;color: #AAAAAA;font-weight: bold;}
}	
</style>